$INCLUDE: 'C:\FG\FASTGRAF.FI'

      PROGRAM MAIN

      INTEGER FG_PLAYING

      CALL FG_INITPM
      CALL FG_MUSICB('T150L8EDCDEEEP DDDP EGGP EDCDEEE L16PL8EDDEDC$',1)
10    IF (FG_PLAYING() .EQ. 1) THEN
         WRITE(6,*) 'Mary Had a Little Lamb...'
         GO TO 10
      END IF
      CALL FG_WAITFOR(18)

      CALL FG_MUSICB('L16 CC#DD#EFF#GG#AA#B O+$',2)
20    IF (FG_PLAYING() .EQ. 1) THEN
         WRITE(6,*) 'up the scale in two octaves...'
         GO TO 20
      END IF
      CALL FG_WAITFOR(18)

      CALL FG_MUSICB('T180 O2 L2P L8P GGG L2 D# L24P L8P FFF L2 D$',1)
30    IF (FG_PLAYING() .EQ. 1) THEN
         WRITE(6,*) 'Beethoven''s Fifth Symphony...'
         GO TO 30
      END IF

      STOP ' '
      END
